<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="keywords" content="openstreetmap routing route planner">
<meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, user-scalable=no">

<title>Routino : Calculateur d'itin&#233;raire pour OpenStreetMap</title>

<!--
Routino router web page.

Part of the Routino routing software.

This file Copyright 2008-2014 Andrew M. Bishop

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see http://www.gnu.org/licenses/.
-->

<!-- Page elements -->
<script src="page-elements.js" type="text/javascript"></script>
<link href="page-elements.css" type="text/css" rel="stylesheet">

<!-- Router and visualiser shared features -->
<link href="maplayout.css" type="text/css" rel="stylesheet">

<!-- Router specific features -->
<script src="profiles.js" type="text/javascript"></script>
<link href="router.css" type="text/css" rel="stylesheet">

<!-- Map parameters -->
<script src="mapprops.js" type="text/javascript"></script>

<!-- Map loader -->
<script src="maploader.js" type="text/javascript"></script>

</head>
<body onload="map_load('html_init();map_init();form_init();');">

<!-- Left hand side of window - data panel -->

<div class="left_panel">

<div class="tab_box">
<span id="tab_options" onclick="tab_select('options');" class="tab_selected" title="d&#233;finir les options">Options</span>
<span id="tab_results" onclick="tab_select('results');" class="tab_unselected" title="Voir les resultats">R&#233;sultats</span>
<span id="tab_data" onclick="tab_select('data');" class="tab_unselected" title="Voir les informations de la base de donn&#233;e">Donn&#233;es</span>
</div>

<div class="tab_content" id="tab_options_div">

<form name="form" id="form" action="#" method="get" onsubmit="return false;">
<div class="hideshow_box">
<span class="hideshow_title">Itin&#233;raires pour Openstreetmap Routino</span>
Cette page web permet de calculer des itin&#233;raires &#224; l'aide des donn&#233;es collect&#233;es par OpenStreetMap.
S&#233;lectionner les points de d&#233;part et d'arriv&#233;e (cliquer sur les icones ci-dessous), s&#233;lectionner les pr&#233;f&#233;rences, puis rechercher un itin&#233;raire.
<div class="center">
<a target="other" href="http://www.routino.org/">site web Routino</a>
|
<a target="other" href="documentation/">Documentation</a>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_language_show" onclick="hideshow_show('language');" class="hideshow_show">+</span>
<span id="hideshow_language_hide" onclick="hideshow_hide('language');" class="hideshow_hide">-</span>
<span class="hideshow_title">Langue</span>

<div id="hideshow_language_div" style="display: none;">
<table>
<tr>
<td><a id="lang_en_url" href="router.html.en" title="English language webpage">English</a>
<td>(EN)
<td><input name="language" type="radio" value="en" onchange="formSetLanguage();" >
<tr>
<td><a id="lang_de_url" href="router.html.de" title="Deutsche Webseite">Deutsche</a>
<td>(DE)
<td><input name="language" type="radio" value="de" onchange="formSetLanguage();" >
<tr>
<td><a id="lang_fr_url" href="router.html.fr" title="Francais">Francais</a>
<td>(FR)
<td><input name="language" type="radio" value="fr" onchange="formSetLanguage();" checked>
<tr>
<td><a id="lang_nl_url" href="router.html.nl" title="Nederlandse web pagina">Nederlands</a>
<td>(NL)
<td><input name="language" type="radio" value="nl" onchange="formSetLanguage();" >
<tr>
<td>
<td>(RU)
<td><input name="language" type="radio" value="ru" onchange="formSetLanguage();" >
</table>
<a target="translation" href="http://www.routino.org/translations/">Routino Translations</a>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_waypoint_show" onclick="hideshow_show('waypoint');" class="hideshow_hide">+</span>
<span id="hideshow_waypoint_hide" onclick="hideshow_hide('waypoint');" class="hideshow_show">-</span>
<span class="hideshow_title">Etapes de l'itin&#233;raire</span>
<div id="hideshow_waypoint_div">
<table id="waypoints">
<colgroup>
<col style="width: 22px;">
<col>
<col style="width: 76px;">
</colgroup>
<tr id="waypointXXX" style="display: none;">
<td>
<img id="iconXXX" src="icons/marker-XXX-grey.png" title="Etape XXX de l'itin&#233;raire - (cliquer pour ajouter/enlever de la carte)" alt="Waypoint XXX" onmousedown="markerToggleMap(XXX);">
<td>
<span id="coordsXXX">
<input name="lonXXX" type="text" size="7" title="Etape XXX Longitude" onchange="formSetCoords(XXX);">E
<input name="latXXX" type="text" size="7" title="Etape XXX Latitude" onchange="formSetCoords(XXX);">N
</span>
<span id="searchXXX" style="display: none;">
<input name="searchXXX" type="text" size="18" title="position de l'&#233;tape XXX"> <!-- uses Javascript event for triggering -->
</span>
<td>
<img alt="?" src="icons/waypoint-search.png" title="Rechercher la position" onmousedown="markerSearch(XXX);" >
<img alt="G" src="icons/waypoint-locate.png" title="obtenir la position actuelle" onmousedown="markerLocate(XXX);" >
<img alt="O" src="icons/waypoint-recentre.png" title="Centrer la carte sur cette &#233;tape" onmousedown="markerRecentre(XXX);">
<img alt="^" src="icons/waypoint-up.png" title="Placer cette &#233;tape avant" onmousedown="markerMoveUp(XXX);" >
<img alt="+" src="icons/waypoint-add.png" title="Ajouter une &#233;tape apr&#232;s celle-ci" onmousedown="markerAddAfter(XXX);">
<br>
<img alt="#" src="icons/waypoint-coords.png" title="Coordonn&#233;es de position" onmousedown="markerCoords(XXX);" >
<img alt="~" src="icons/waypoint-home.png" title="Changer en position de d&#233;part" onmousedown="markerHome(XXX);" >
<img alt="o" src="icons/waypoint-centre.png" title="Centrer cette &#233;tape sur la carte" onmousedown="markerCentre(XXX);" >
<img alt="v" src="icons/waypoint-down.png" title="Placer cette &#233;tape apr&#232;s" onmousedown="markerMoveDown(XXX);">
<img alt="-" src="icons/waypoint-remove.png" title="supprimer cette &#233;tape" onmousedown="markerRemove(XXX);" >
<tr id="searchresultsXXX" style="display: none;">
<td colspan="3">
<!-- The waypoints are inserted by the JavaScript, see the "maxmarkers" variable in router.js. -->
<tr>
<td colspan="3" class="center">
<input type="button" title="Inverser l'ordre des &#233;tapes" value="Inverser l'ordre" onmousedown="markersReverse();">
<input type="button" title="Ajouter une nouvelle &#233;tape pour faire une boucle" value="Faire une boucle" onmousedown="markersLoop();">
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_transport_show" onclick="hideshow_show('transport');" class="hideshow_hide">+</span>
<span id="hideshow_transport_hide" onclick="hideshow_hide('transport');" class="hideshow_show">-</span>
<span class="hideshow_title">Mode de d&#233;placement</span>
<div id="hideshow_transport_div">
<table>
<tr><td>&#192; pied: <td><input name="transport" type="radio" value="foot" onchange="formSetTransport('foot' );">
<tr><td>&#192; cheval: <td><input name="transport" type="radio" value="horse" onchange="formSetTransport('horse' );">
<tr><td>Fauteuil roulant:<td><input name="transport" type="radio" value="wheelchair" onchange="formSetTransport('wheelchair');">
<tr><td>Bicyclette: <td><input name="transport" type="radio" value="bicycle" onchange="formSetTransport('bicycle' );">
<tr><td>Mobilette: <td><input name="transport" type="radio" value="moped" onchange="formSetTransport('moped' );">
<tr><td>Moto:<td><input name="transport" type="radio" value="motorcycle" onchange="formSetTransport('motorcycle');">
<tr><td>Voiture: <td><input name="transport" type="radio" value="motorcar" onchange="formSetTransport('motorcar' );">
<tr><td>Camionette: <td><input name="transport" type="radio" value="goods" onchange="formSetTransport('goods' );">
<tr><td>Camion(15t): <td><input name="transport" type="radio" value="hgv" onchange="formSetTransport('hgv' );">
<tr><td>Camion(10t): <td><input name="transport" type="radio" value="psv" onchange="formSetTransport('psv' );">
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_highway_show" onclick="hideshow_show('highway');" class="hideshow_show">+</span>
<span id="hideshow_highway_hide" onclick="hideshow_hide('highway');" class="hideshow_hide">-</span>
<span class="hideshow_title">Pr&#233;f&#233;rences routi&#232;res</span>
<div id="hideshow_highway_div" style="display: none;">
<table>
<tr><td>Autoroute: <td><input name="highway-motorway" type="text" size="3" onchange="formSetHighway('motorway' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('motorway' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('motorway' ,'+');">
<tr><td>Trunk: <td><input name="highway-trunk" type="text" size="3" onchange="formSetHighway('trunk' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('trunk' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('trunk' ,'+');">
<tr><td>Primaire: <td><input name="highway-primary" type="text" size="3" onchange="formSetHighway('primary' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('primary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('primary' ,'+');">
<tr><td>Secondaire: <td><input name="highway-secondary" type="text" size="3" onchange="formSetHighway('secondary' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('secondary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('secondary' ,'+');">
<tr><td>Tertiaire: <td><input name="highway-tertiary" type="text" size="3" onchange="formSetHighway('tertiary' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('tertiary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('tertiary' ,'+');">
<tr><td>Non class&#233;e:<td><input name="highway-unclassified" type="text" size="3" onchange="formSetHighway('unclassified','=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('unclassified','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('unclassified','+');">
<tr><td>R&#233;sidentiel: <td><input name="highway-residential" type="text" size="3" onchange="formSetHighway('residential' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('residential' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('residential' ,'+');">
<tr><td>Service: <td><input name="highway-service" type="text" size="3" onchange="formSetHighway('service' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('service' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('service' ,'+');">
<tr><td>Chemin: <td><input name="highway-track" type="text" size="3" onchange="formSetHighway('track' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('track' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('track' ,'+');">
<tr><td>Voie cyclable: <td><input name="highway-cycleway" type="text" size="3" onchange="formSetHighway('cycleway' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('cycleway' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('cycleway' ,'+');">
<tr><td>Sentier: <td><input name="highway-path" type="text" size="3" onchange="formSetHighway('path' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('path' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('path' ,'+');">
<tr><td>Escaliers: <td><input name="highway-steps" type="text" size="3" onchange="formSetHighway('steps' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('steps' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('steps' ,'+');">
<tr><td>Ferry: <td><input name="highway-ferry" type="text" size="3" onchange="formSetHighway('ferry' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetHighway('ferry' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetHighway('ferry' ,'+');">
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_speed_show" onclick="hideshow_show('speed');" class="hideshow_show">+</span>
<span id="hideshow_speed_hide" onclick="hideshow_hide('speed');" class="hideshow_hide">-</span>
<span class="hideshow_title">Limitations de vitesse</span>
<div id="hideshow_speed_div" style="display: none;">
<table>
<tr><td>Autoroute: <td><input name="speed-motorway" type="text" size="3" onchange="formSetSpeed('motorway' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('motorway' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('motorway' ,'+');">
<tr><td>Trunk: <td><input name="speed-trunk" type="text" size="3" onchange="formSetSpeed('trunk' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('trunk' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('trunk' ,'+');">
<tr><td>Primaire: <td><input name="speed-primary" type="text" size="3" onchange="formSetSpeed('primary' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('primary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('primary' ,'+');">
<tr><td>Secondaire: <td><input name="speed-secondary" type="text" size="3" onchange="formSetSpeed('secondary' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('secondary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('secondary' ,'+');">
<tr><td>Tertiaire: <td><input name="speed-tertiary" type="text" size="3" onchange="formSetSpeed('tertiary' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('tertiary' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('tertiary' ,'+');">
<tr><td>Non class&#233;e:<td><input name="speed-unclassified" type="text" size="3" onchange="formSetSpeed('unclassified','=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('unclassified','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('unclassified','+');">
<tr><td>R&#233;sidentiel: <td><input name="speed-residential" type="text" size="3" onchange="formSetSpeed('residential' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('residential' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('residential' ,'+');">
<tr><td>Service: <td><input name="speed-service" type="text" size="3" onchange="formSetSpeed('service' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('service' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('service' ,'+');">
<tr><td>Chemin: <td><input name="speed-track" type="text" size="3" onchange="formSetSpeed('track' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('track' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('track' ,'+');">
<tr><td>Voie cyclable: <td><input name="speed-cycleway" type="text" size="3" onchange="formSetSpeed('cycleway' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('cycleway' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('cycleway' ,'+');">
<tr><td>Sentier: <td><input name="speed-path" type="text" size="3" onchange="formSetSpeed('path' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('path' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('path' ,'+');">
<tr><td>Escaliers: <td><input name="speed-steps" type="text" size="3" onchange="formSetSpeed('steps' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('steps' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('steps' ,'+');">
<tr><td>Ferry: <td><input name="speed-ferry" type="text" size="3" onchange="formSetSpeed('ferry' ,'=');"><td>km/hr<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetSpeed('ferry' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetSpeed('ferry' ,'+');">
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_property_show" onclick="hideshow_show('property');" class="hideshow_show">+</span>
<span id="hideshow_property_hide" onclick="hideshow_hide('property');" class="hideshow_hide">-</span>
<span class="hideshow_title">Pr&#233;f&#233;rences des propri&#233;t&#233;s</span>
<div id="hideshow_property_div" style="display: none;">
<table>
<tr><td>Pav&#233;e: <td><input name="property-paved" type="text" size="3" onchange="formSetProperty('paved' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('paved' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('paved' ,'+');">
<tr><td>Voies multiples: <td><input name="property-multilane" type="text" size="3" onchange="formSetProperty('multilane' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('multilane' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('multilane' ,'+');">
<tr><td>Pont: <td><input name="property-bridge" type="text" size="3" onchange="formSetProperty('bridge' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('bridge' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('bridge' ,'+');">
<tr><td>Tunnel: <td><input name="property-tunnel" type="text" size="3" onchange="formSetProperty('tunnel' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('tunnel' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('tunnel' ,'+');">
<tr><td>Itin&#233;r. pi&#233;ton:<td><input name="property-footroute" type="text" size="3" onchange="formSetProperty('footroute' ,'=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('footroute' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('footroute' ,'+');">
<tr><td>Itin&#233;r. cycle:<td><input name="property-bicycleroute" type="text" size="3" onchange="formSetProperty('bicycleroute','=');"><td>%<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetProperty('bicycleroute','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetProperty('bicycleroute','+');">
</table>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_restriction_show" onclick="hideshow_show('restriction');" class="hideshow_show">+</span>
<span id="hideshow_restriction_hide" onclick="hideshow_hide('restriction');" class="hideshow_hide">-</span>
<span class="hideshow_title">Autres Restrictions</span>
<div id="hideshow_restriction_div" style="display: none;">
<table>
<tr><td>Respecter les sens uniques: <td><input name="restrict-oneway" type="checkbox" onchange="formSetRestriction('oneway');">
<tr><td>Respecter les obligations de tourner:<td><input name="restrict-turns" type="checkbox" onchange="formSetRestriction('turns' );">
</table>
<table>
<tr><td>Poids:<td><input name="restrict-weight" type="text" size="3" onchange="formSetRestriction('weight','=');"><td>tonnes<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetRestriction('weight','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetRestriction('weight','+');">
<tr><td>Hauteur:<td><input name="restrict-height" type="text" size="3" onchange="formSetRestriction('height','=');"><td>metres<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetRestriction('height','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetRestriction('height','+');">
<tr><td>Largeur: <td><input name="restrict-width" type="text" size="3" onchange="formSetRestriction('width' ,'=');"><td>metres<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetRestriction('width' ,'-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetRestriction('width' ,'+');">
<tr><td>Longueur:<td><input name="restrict-length" type="text" size="3" onchange="formSetRestriction('length','=');"><td>metres<td><img alt="<" src="icons/waypoint-left.png" title="-" onmousedown="formSetRestriction('length','-');">&ndash;/+<img alt=">" src="icons/waypoint-right.png" title="+" onmousedown="formSetRestriction('length','+');">
</table>
</div>
</div>

<div class="hideshow_box">
<span class="hideshow_title">Rechercher</span>
<input type="button" title="Chercher l'itin&#233;raire le plus court" id="shortest" value="Le plus court" onclick="findRoute('shortest');">
<input type="button" title="Chercher l'itin&#233;raire le plus rapide" id="quickest" value="Le plus rapide" onclick="findRoute('quickest');">
</div>

<div class="hideshow_box">
<span class="hideshow_title">Liens</span>
<a id="permalink_url" href="router.html">Lien vers cet outil de visualisation</a>
<br>
<a id="edit_url" target="edit" style="display: none;">Editer cette donn&#233;e OSM</a>
</div>

<div class="hideshow_box">
<span id="hideshow_help_options_show" onclick="hideshow_show('help_options');" class="hideshow_hide">+</span>
<span id="hideshow_help_options_hide" onclick="hideshow_hide('help_options');" class="hideshow_show">-</span>
<span class="hideshow_title">Aide</span>
<div id="hideshow_help_options_div">
<div class="scrollable">
<b>Aide simplifi&#233;e</b>
<br>
Cliquer sur les icones de balises (ci-dessus) pour les placer sur la carte (droite). Puis
les d&#233;placer &#224; la position choisie. Il sera s&#251;rement plus facile de zoomer sur la carte 
avant de placer les balises. Autre solution, taper la latitude et
la longitude dans les cases ci-dessus.
<p>
Selectionner le mode de d&#233;placement, les types de voies autoris&#233;es, les limitations de vitesse, 
les propri&#233;t&#233;s des voies et les autres restrictions dans les options ci-dessus.
Selectionner "Le plus court" ou "Le plus rapide" pour calculer l'itin&#233;raire et le visualiser
sur la carte.
<p>
<b>Etapes</b>
<br>
Cliquer sur les balises affichera ou supprimera leur apparition sur la carte.
Quand un itin&#233;raire est calcul&#233;, il affichera (le plus pr&#232;s possible
pour le mode de d&#233;placement s&#233;lectionn&#233;) chacune des &#233;tapes qui ont une
balise sur la carte dans l'ordre d&#233;fini.
<p>
<b>Mode de d&#233;placement</b>
<br>
Selectionner un mode de d&#233;placement restreindra l'itin&#233;raire choisi aux
voies sur lesquelles il est autoris&#233; et d&#233;finira les valeurs par d&#233;faut pour
les autres param&#232;tres.
<p>
<b>Pr&#233;ferences des voies</b>
<br>
La pr&#233;f&#233;rence de voies est d&#233;finie par un pourcentage et des itin&#233;raires sont choisis 
qui essaient de suivre les voies pr&#233;ferr&#233;es.
Par exemple, si une voie "Primaire" a une pr&#233;f&#233;rence de "110%" et une voie "Secondaire"
une pr&#233;f&#233;rence de "100%", alors cela signifie qu'un itin&#233;raire sur une voie primaire
peut &#234;tre jusqu'&#224; 10% plus long que sur une voie secondaire et &#234;tre s&#233;lectionn&#233;.
<p>
<b>Limites de vitesse</b>
<br>
Les limites de vitesse choisies ici pour les differents types de voies s'appliquent si la
voie n'a pas d'autre limite de vitesse d&#233;finie ou si celle-ci est sup&#233;rieure &#224; celle choisie.
<p>
<b>Pr&#233;f&#233;rences de propri&#233;t&#233;s</b>
<br>
La pr&#233;f&#233;rence de propri&#233;t&#233; est d&#233;finie par un pourcentage et des itin&#233;raires sont choisis
qui essaient de suivre les voies ayant cette propri&#233;t&#233; pr&#233;f&#233;r&#233;e.
Par exemple, si une voie goudronn&#233;e a une pr&#233;f&#233;rence de "75%", alors cela signifie que
une voie non goudronn&#233;e obtient automatiquement une pr&#233;f&#233;rence de "25%" ce qui fait que 
un itin&#233;raire sur une voie goudronn&#233;e peut avoir 3 fois la longueur d'une non goudronn&#233;e 
et &#234;tre s&#233;lectionn&#233;e.
<p>
<b>Autres restrictions</b>
<br>
Celles-ci permettent de touver un itin&#233;raire qui respecte les limites d&#233;finies pour
le poids, la hauteur, la largeur ou la longueur. Il est &#233;galement possible d'ignorer
les restrictions de sens unique (e. pour la marche).
</div>
</div>
</div>
</form>
</div>


<div class="tab_content" id="tab_results_div" style="display: none;">

<div class="hideshow_box">
<span class="hideshow_title">Status</span>
<div id="result_status">
<div id="result_status_not_run">
<b><i>Routage non lanc&#233;</i></b>
</div>
<div id="result_status_running" style="display: none;">
<b>Routage en cours...</b>
</div>
<div id="result_status_complete" style="display: none;">
<b>Routage termin&#233;</b>
<br>
<a id="router_log_complete" target="router_log" href="#">Voir les D&#233;tails</a>
</div>
<div id="result_status_error" style="display: none;">
<b>Erreur de Routage</b>
<br>
<a id="router_log_error" target="router_log" href="#">Voir les D&#233;tails</a>
</div>
<div id="result_status_failed" style="display: none;">
<b>Le Routage n'a pas &#233;t&#233; lanc&#233; correctement</b>
</div>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_shortest_show" onclick="hideshow_show('shortest');" class="hideshow_show">+</span>
<span id="hideshow_shortest_hide" onclick="hideshow_hide('shortest');" class="hideshow_hide">-</span>
<span class="hideshow_title">Le plus court</span>
<div id="shortest_status">
<div id="shortest_status_no_info">
<b><i>Pas d'information</i></b>
</div>
<div id="shortest_status_info" style="display: none;">
</div>
</div>
<div id="hideshow_shortest_div" style="display: none;">
<div id="shortest_links" style="display: none;">
<table>
<tr><td>Itin&#233;raire HTML: <td><a id="shortest_html" target="shortest_html" href="#">Ouvrir Popup</a>
<tr><td>Fichier chemin GPX: <td><a id="shortest_gpx_track" target="shortest_gpx_track" href="#">Ouvrir Popup</a>
<tr><td>Fichier route GPX: <td><a id="shortest_gpx_route" target="shortest_gpx_route" href="#">Ouvrir Popup</a>
<tr><td>Fichier texte complet: <td><a id="shortest_text_all" target="shortest_text_all" href="#">Ouvrir Popup</a>
<tr><td>Fichier texte: <td><a id="shortest_text" target="shortest_text" href="#">Ouvrir Popup</a>
</table>
<hr>
</div>
<div id="shortest_route">
</div>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_quickest_show" onclick="hideshow_show('quickest');" class="hideshow_show">+</span>
<span id="hideshow_quickest_hide" onclick="hideshow_hide('quickest');" class="hideshow_hide">-</span>
<span class="hideshow_title">Le plus rapide</span>
<div id="quickest_status">
<div id="quickest_status_no_info">
<b><i>Pas d'information</i></b>
</div>
<div id="quickest_status_info" style="display: none;">
</div>
</div>
<div id="hideshow_quickest_div" style="display: none;">
<div id="quickest_links" style="display: none;">
<table>
<tr><td>Itin&#233;raire HTML: <td><a id="quickest_html" target="quickest_html" href="#">Ouvrir Popup</a>
<tr><td>Fichier chemin GPX: <td><a id="quickest_gpx_track" target="quickest_gpx_track" href="#">Ouvrir Popup</a>
<tr><td>Fichier route GPX: <td><a id="quickest_gpx_route" target="quickest_gpx_route" href="#">Ouvrir Popup</a>
<tr><td>Fichier texte complet: <td><a id="quickest_text_all" target="quickest_text_all" href="#">Ouvrir Popup</a>
<tr><td>Fichier texte: <td><a id="quickest_text" target="quickest_text" href="#">Ouvrir Popup</a>
</table>
<hr>
</div>
<div id="quickest_route">
</div>
</div>
</div>

<div class="hideshow_box">
<span id="hideshow_help_route_show" onclick="hideshow_show('help_route');" class="hideshow_hide">+</span>
<span id="hideshow_help_route_hide" onclick="hideshow_hide('help_route');" class="hideshow_show">-</span>
<span class="hideshow_title">Aide</span>
<div id="hideshow_help_route_div">
<div class="scrollable">
<b>Aide rapide</b>
<br>
Apr&#232;s le calcul de l'itin&#233;raire, vous pouvez t&#233;l&#233;charger le fichier GPX ou
la description au format texte (r&#233;sum&#233; ou version d&#233;taill&#233;e). Vous pouvez &#233;galement
visualiser la description de l'itin&#233;raire et zoomer sur des tron&#231;ons s&#233;lectionn&#233;s.
<p>
<b>R&#233;soudre un probl&#232;me</b>
<br>
Si le calculateur aboutie &#224; une erreur, la cause la plus probable est que
il n'est pas possible de trouver un itin&#233;raire entre les points s&#233;lectionn&#233;s.
Por permettre de trouver un itin&#233;raire, d&#233;placer une ou des balises 
ou changer les options de recherche.
<p>
<b>Formats d'affichage</b>
<br>
<dl>
<dt>Instructions HTML
<dd>une description de l'itin&#233;raire &#224; prendre 
&#224; chaque intersection importante.
<dt>Fichier chemin GPX
<dd>La m&#234;me information qui est affich&#233;e sur la carte avec des points
pour chaque noeud et des lignes pour tous les s&#232;gments.
<dt>Fichier route GPX
<dd>La m&#234;me information qui est affich&#233;e en texte pour l'itin&#233;raire
avec une &#233;tape pour chaque intersection importante.
<dt>Fichier texte complet
<dd>Une liste de tous les noeuds travers&#233;s ainsi que la distance 
entre eux et la distance cumul&#233;e pour chaque &#233;tape de l'itin&#233;raire.
<dt>Fichier texte
<dd>La m&#234;me information qui est affich&#233;e en texte pour l'itin&#233;raire.
</dl>
</div>
</div>
</div>
</div>


<div class="tab_content" id="tab_data_div" style="display: none;">
<div class="hideshow_box">
<span class="hideshow_title">Routino Statistiques</span>
<div id="statistics_data"></div>
<a id="statistics_link" href="statistics.cgi" onclick="displayStatistics();return(false);">Afficher les donn&#233;es statistiques</a>
</div>

<div class="hideshow_box">
<span class="hideshow_title">Routino Visualiser</span>
Pour comprendre comment Routino voit les donn&#233;es, il y a un outil de visualisation
qui permet d'afficher les donn&#233;es soujacentes de multiples mani&#232;res.
<br>
<a id="visualiser_url" href="visualiser.html" target="visualiser">Lien vers cet outil de visualisation</a>
</div>
</div>

</div>

<!-- Right hand side of window - map -->

<div class="right_panel">
<div class="map" id="map">
<noscript>
<p>
Javascript est <em>n&#233;cessaire</em> pour cette page web &#224; cause de la carte int&#233;ractive.
</noscript>
</div>
<div class="attribution">
Routeur: <a href="http://www.routino.org/" target="routino">Routino</a>
|
Geo Data: <span id="attribution_data"></span>
|
Tuiles: <span id="attribution_tile"></span>
</div>
</div>

</body>

</html>
